Subject: [alpine-aports] [PATCH] main/iniparser: build libiniparser.so with -fPIC

From: Christian Kampka <[email-masked]>
Date: Fri, 6 Nov 2015 11:33:24 +0100

---
 main/iniparser/APKBUILD | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/main/iniparser/APKBUILD b/main/iniparser/APKBUILD
index 21d54ea..cb266f2 100644
--- a/main/iniparser/APKBUILD
+++ b/main/iniparser/APKBUILD
@@ -1,7 +1,7 @@
 # Maintainer: Natanael Copa <[email-masked]>
 pkgname=iniparser
 pkgver=4.0
-pkgrel=0
+pkgrel=1
 pkgdesc="C library for parsing "INI-style" files"
 url="http://ndevilla.free.fr/iniparser/"
 arch="all"
@@ -27,8 +27,8 @@ prepare() {
 
 build() {
 	cd "$_builddir"
-	make CC="${CC:-gcc}" CFLAGS="${CFLAGS}" LDFLAGS="$LDFLAGS" \
-		libiniparser.so || return 1
+	make CC="${CC:-gcc}" CFLAGS="${CFLAGS} -fPIC" LDFLAGS="$LDFLAGS" \
+		libiniparser.so || return 11
 }
 
 package() {
-- 
2.6.2

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---